Skip to main content
GET
/
v1
/
tax
/
item
/
{itemId}
/
{companyId}
/
{departureCountryISO}
/
{shipmentCountryISO}
Get Tax For Item
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v1/tax/item/{itemId}/{companyId}/{departureCountryISO}/{shipmentCountryISO} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "Rate": 123,
  "TaxClassId": 123,
  "DepartureCountryISO": "<string>",
  "ShipmentCountryISO": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

departureCountryISO
string
required

Country ISO code of the source Country.

shipmentCountryISO
string
required

Country ISO code of the target Country.

itemId
integer<int32>
required

The id of the Item to return.

companyId
integer<int32>
required

The id of the Company to return. Represents a key for identifying a firm within the application.

Query Parameters

taxNumber
string

The taxNumber of the Customer

invoiceCountryISO
string

The Country ISO Code of the Invoice

invoiceCountryStateISO
string

The State in the Country of the Invoice

shipmentCountryStateISO
string

The State in the target Country

Response

The TaxRate for the given Item.

Model Class: TaxRate

Rate
number<decimal>
required

The given Rate

TaxClassId
integer<int32>
required

The ID of the tax class.

DepartureCountryISO
string
required

Country ISO code of the address.

ShipmentCountryISO
string
required

Country ISO code of the address.